TeamSpeak 3

TeamSpeak 3

By TeamSpeak Systems Inc

Support :iPhone  iPad


7387 total


This is our new, official app from the makers of TeamSpeak voice chat software. PLEASE NOTE: ** This app REPLACES our former "TeamSpeak" app (the one with the GREY background icon). ** This app only works with TeamSpeak 3 (will NOT work with TeamSpeak 2). If you experience a specific bug or crash issue please consider: Rating our app on its overall features and functionality, not just your specific issue. In most cases our developers will find and squash bugs or fix crash issues quickly, especially if you can aid us with information regarding your hardware or environment, and how to reproduce the issue. ---------- TeamSpeak software enables groups of people to speak with one another over any platform or operating system. For over 10 years TeamSpeak has become among the preferred voice chat solutions for online gamers, friends and family, and small businesses world-wide. Most TeamSpeak users typically connect to their guild or clan's TeamSpeak server to chat with fellow team mates, discuss strategy in real-time, or facilitate online events. With this app and TeamSpeak's cross-platform design you can connect to any TeamSpeak server. TeamSpeak for iOS is optimized to enhance your mobile device experience and keeps you connected with your peers while you're on-the-go. You must be connected to a TeamSpeak 3 server to communicate with other users using TeamSpeak (directly connecting to users is not possible). For a list of public servers please download the TeamSpeak desktop client and choose Connections > Server List or contact your clan/guild/group's administrator for server connection information. FEATURES: * Universal app for iPhone/iPod/iPad * Local bookmarks * Multi-server connectivity * Push-To-Talk (PTT) and voice activation * Supports most common admin functions * Send and receive text messages * Identity and contacts management * Detailed channel and player information * Player status notifications * Ongoing, free app updates REQUIREMENTS: * iPhone 4 or newer * iPod Touch 5rd Gen or newer * iPad 2